Summary:	Simple GUI for MPlayer
Name:		gnome-mplayer
Version:	1.0.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
URL:		http://kdekorte.googlepages.com/gnomemplayer
Source:		http://gnome-mplayer.googlecode.com/files/%name-%version.tar.gz
Patch0:		gnome-mplayer-fix-str-fmt.patch
Patch1:		gnome-mplayer-0.9.9-link.patch
Patch2:		gnome-mplayer-0.9.9-fix-mdv-pulse-detection.patch
Requires:	mplayer
BuildRequires:	libgnome2-devel
BuildRequires:	gnomeui2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libmusicbrainz3-devel
BuildRequires:	libalsa-devel
BuildRequires:	curl-devel
BuildRequires:	libnotify-devel
BuildRequires:	libgpod-devel
BuildRequires:	nautilus-devel
BuildRequires:	libxscrnsaver-devel
# Used to determine volume control mode at build-time
BuildRequires:	pulseaudio
# Used to determine power control methods at build-time
BuildRequires:	gnome-power-manager
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GNOME MPlayer is a simple GUI for MPlayer. It is intended to be a
nice tight player and provide a simple and clean interface to
MPlayer. GNOME MPlayer has a rich API that is exposed via DBus.
Using DBus you can control a single or multiple instances of GNOME
MPlayer from a single command.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .link
%patch2 -p0 -b .pulse

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor='' \
	--add-category="Audio;Video;GTK;Player;GNOME" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

mv %{buildroot}%{_docdir}/%{name} installed-docs
rm installed-docs/{INSTALL,COPYING}

# zero length docs
find installed-docs -size 0 | xargs rm

rm -fr %buildroot%{_libdir}/nautilus/extensions-*/lib*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc installed-docs/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/gnome-control-center/default-apps/gnome-mplayer.xml
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-*
%{_libdir}/nautilus/extensions-*/lib*.so
%{_mandir}/man1/%{name}.1*





%changelog
* Sun Jan 16 2011 anssi <anssi> 1.0.0-1.mga1
+ Revision: 20087
- new version
- rediff linking patch
- remove old scripts
- imported package gnome-mplayer


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.9.2-3mdv2011.0
+ Revision: 610940
- rebuild

* Wed Apr 28 2010 Anssi Hannula <anssi@mandriva.org> 0.9.9.2-2mdv2010.1
+ Revision: 540570
- rebuild due to bs bug #31438

* Thu Mar 04 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.9.2-1mdv2010.1
+ Revision: 514234
- update to new version 0.9.9.2

* Mon Feb 08 2010 Funda Wang <fwang@mandriva.org> 0.9.9-2mdv2010.1
+ Revision: 501975
- BR xss
- build nautilus ext as module rather than prog
- fix pusleaudio detection
- New version 0.9.9
- fix nautilus plugin linkage

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.8-2mdv2010.0
+ Revision: 455848
- rebuild for new curl SSL backend

* Sun Sep 27 2009 Anssi Hannula <anssi@mandriva.org> 0.9.8-1mdv2010.0
+ Revision: 449954
- new version

* Tue Aug 25 2009 Anssi Hannula <anssi@mandriva.org> 0.9.7-1mdv2010.0
+ Revision: 420740
- new version
- drop fix-underlinking.patch, fixed upstream
- drop nautilus-module.patch, now unapplicable (libtool is not used)
- remove upstream-applied hunks of str-fmt.patch
- update buildrequires

* Sun Jul 12 2009 Anssi Hannula <anssi@mandriva.org> 0.9.6-1mdv2010.0
+ Revision: 395344
- new version 0.9.6
- add buildrequires on libgpod-devel and nautilus-devel
- update format string patch (fix-str-fmt.patch)
- fix underlinking (fix-underlinking.patch)
- build nautilus module with -module -avoid-version
  (nautilus-module.patch)

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.5-1mdv2009.1
+ Revision: 354929
- update to new version 0.9.5

* Sun Feb 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.4-1mdv2009.1
+ Revision: 338563
- update to new version 0.9.4

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2009.1
+ Revision: 331902
- New version 0.9.3

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 22 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2009.1
+ Revision: 305772
- New version 0.9.2

* Sun Nov 02 2008 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2009.1
+ Revision: 299270
- New version 0.9.1

* Sat Nov 01 2008 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 299127
- new versio 0.9.0

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 292068
- New version 0.8.0

* Fri Aug 15 2008 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2009.0
+ Revision: 272444
- new version 0.7.0

* Thu Jul 03 2008 Funda Wang <fwang@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 230938
- update to new version 0.6.3
- new url and source url

* Fri Jun 13 2008 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 218648
- New version 0.6.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 196079
- new version
- put icons into fd.o directory
- spec file clean

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 176574
- new version

* Fri Jan 18 2008 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2008.1
+ Revision: 155012
- New version 0.5.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 119721
- New release

* Fri Nov 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 107070
- New release

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 97322
- New release 0.5.1

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 75193
- New version 0.5.0

* Wed Jul 18 2007 trem <trem@mandriva.org> 0.4.7-1mdv2008.0
+ Revision: 53352
- new release 0.4.7

* Sat May 26 2007 Anssi Hannula <anssi@mandriva.org> 0.4.6-2mdv2008.0
+ Revision: 31609
- requires mplayer

* Sat May 26 2007 Anssi Hannula <anssi@mandriva.org> 0.4.6-1mdv2008.0
+ Revision: 31606
- initial Mandriva release

